AOWP_MethodCallPointcut (AOWP)

# AOWP

- Overview
- Package
- Class
- Tree
- Deprecated
- Index

Frames No frames
Summary: Field | Method | Constr Detail: Field | Method | Constr

aowp.aspect.pointcut.designators.AOWP_MethodCallPointcut
/aspect/pointcut/designators/MethodCallPointcut.class.php at line 12

# Class AOWP_MethodCallPointcut

    AOWP_Pointcut
        └─AOWP_MethodCallPointcut

public class AOWP_MethodCallPointcut
extends AOWP_Pointcut

メソッド呼び出しのイベントを選択するポイントカット記述子です。

Field Summary
private mixed | $_argumentsCount
private mixed | $_className
private mixed | $_methodName

Fields inherited from aowp.aspect.pointcut.AOWP_Pointcut
_advice, _notFlag

Constructor Summary
AOWP_MethodCallPointcut(mixed className, mixed methodName, mixed argumentsCount, $className クラス名, $methodName メソッド名, $argumentsCount 引き数の数)

Method Summary
protected void | _isJoinPointShadow(mixed joinPoint)
protected void | _runtimeMatch(mixed joinPoint) PHPでは型付けが明示的でないため、実行時にインスタンスの方に関する評価を行っています。 なお、現在は、コンストラクタで指定したクラス名を{@link mb_ereg_match}で、対象のインスタンスと比較しており、 AspectJで指定可能な+を用いたサブクラスとのマッチが行えません。

Methods inherited from aowp.aspect.pointcut.AOWP_Pointcut
__clone, _getAspectInstance, _isJoinPointShadow, _runtimeMatch, isHavePointcut, isJoinPointShadow, isNot, opAnd, opNot, opOr, patternMatch, runtimeMatch, setAdvice

## Field Detail

/aspect/pointcut/designators/MethodCallPointcut.class.php at line 15

### _argumentsCount

`private mixed $_argumentsCount`

/aspect/pointcut/designators/MethodCallPointcut.class.php at line 13

### _className

`private mixed $_className`

/aspect/pointcut/designators/MethodCallPointcut.class.php at line 14

### _methodName

`private mixed $_methodName`

## Constructor Detail

/aspect/pointcut/designators/MethodCallPointcut.class.php at line 23

### AOWP_MethodCallPointcut

`public AOWP_MethodCallPointcut(mixed className, mixed methodName, mixed argumentsCount, $className クラス名, $methodName メソッド名, $argumentsCount 引き数の数)`

## Method Detail

/aspect/pointcut/designators/MethodCallPointcut.class.php at line 40

### _isJoinPointShadow

`protected void _isJoinPointShadow(mixed joinPoint)`

/aspect/pointcut/designators/MethodCallPointcut.class.php at line 36

### _runtimeMatch

`protected void _runtimeMatch(mixed joinPoint)`

PHPでは型付けが明示的でないため、実行時にインスタンスの方に関する評価を行っています。 なお、現在は、コンストラクタで指定したクラス名を`mb_ereg_match`で、対象のインスタンスと比較しており、 AspectJで指定可能な+を用いたサブクラスとのマッチが行えません。

See Also:
  aspect/pointcut/AOWP_Pointcut#runtimeMatch()

# AOWP

- Overview
- Package
- Class
- Tree
- Deprecated
- Index

Frames No frames
Summary: Field | Method | Constr Detail: Field | Method | Constr